Serial port ttyS4 doesn't work in 12.04

Bug #1087519 reported by Roger Davis on 2012-12-07
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu
Undecided
Unassigned

Bug Description

The point of difficulty is the breakdown of primary communication with the serial port / modem

This exact same modem and computer worked together very well until recently. There had been several updates, including Ubuntu before it just quit working.

This serial port / modem works fine in Windoze, SAME machine, just switch to Ubuntu 12.04 drive by mechanical switch. I can go back and forth between boot drives (of course always requires reboot), always works in Windoze, never in Ubuntu.

I think it makes no difference, but I am NOT attempting to connect with an ISP. I just want to talk to the modem, get it to dial, receive responses and send and receive data from whatever connection, mainly FAX.

Modem will attempt to answer an incoming call, but can't be sure about function since I don't have another modem to call with, and NO responses are given.

I have come to the conclusion that there is very likely a problem within the updated Ubuntu that prevents proper Serial Port to Modem communication.

IN MINICOM :
Welcome to minicom 2.5
OPTIONS: I18n
Compiled on May 2 2011, 10:05:24.
Port /dev/ttyS4
Press CTRL-A Z for help on special keys
Nothing further will be shown, no matter what keyboard input, etc.

IN EFAX-GTK :
efax-0.9a: 21:27:23 opened /dev/ttyS4
( Then try to send and wait 5 minutes - no result, so press "Stop" )
*** Stopping send/receive session ***
efax-0.9a: 21:27:46 failed page /home/roger/Documents/Libre Office/Saddleback Labs Request.pdf.001

IN CUTECOM
Simply will not respond at any time. If I enter "Open Device", no response is given, neither error or acknowledgement. No response is given to any input.

I am a member of dialout and dip.

Modem info:
description: Serial controller product: 56K FaxModem Model 5610
vendor: 3Com Corp, Modem Division
physical id: 1 bus info: pci@0000:04:01.0
version: 01 width: 32 bits clock: 33MHz
capabilities: pm 16550 cap_list
configuration: driver=serial latency=0
resources: irq:17 ioport:d000(size=8 )

roger@roger-desktop:~$ sudo wvdialconf
[sudo] password for roger:
Editing `/etc/wvdial.conf'.
Scanning your serial ports for a modem.
Modem Port Scan<*1>: S0 S1 S2 S3
ttyS4<*1>: ATQ0 V1 E1 -- failed with 2400 baud, next try: 9600 baud
ttyS4<*1>: ATQ0 V1 E1 -- failed with 9600 baud, next try: 115200 baud
ttyS4<*1>: ATQ0 V1 E1 -- and failed too at 115200, giving up.
Modem Port Scan<*1>: S5 S6 S7 S8
Modem Port Scan<*1>: S9 S10 S11 S12 S13 S14 S15 S16
Modem Port Scan<*1>: S17 S18 S19 S20 S21 S22 S23 S24
Modem Port Scan<*1>: S25 S26 S27 S28 S29 S30 S31
Sorry, NO MODEM WAS DETECTED! Is it in use by another program? - ( my caps )
Did you configure it properly with setserial?

( OK, so Ubuntu finds the modem, but doesn't find it !?!?!? )

Modem is at ttyS4

This is basically an internal US Robotics Sportster modem with a built-in serial port, NOT a Winmodem.

roger@roger-desktop:~$ cat /var/log/syslog | grep modem
Nov 9 13:26:47 roger-desktop modem-manager[919]: <info> ModemManager (version 0.5.2.0) starting...
Nov 9 13:26:47 roger-desktop modem-manager[919]: <info> Loaded plugin SimTech
Nov 9 13:26:47 roger-desktop modem-manager[919]: <info> Loaded plugin MotoC
Nov 9 13:26:47 roger-desktop modem-manager[919]: <info> Loaded plugin Ericsson MBM
Nov 9 13:26:47 roger-desktop modem-manager[919]: <info> Loaded plugin ZTE
Nov 9 13:26:47 roger-desktop modem-manager[919]: <info> Loaded plugin Linktop
Nov 9 13:26:47 roger-desktop modem-manager[919]: <info> Loaded plugin AnyData
Nov 9 13:26:47 roger-desktop modem-manager[919]: <info> Loaded plugin Option High-Speed
Nov 9 13:26:47 roger-desktop modem-manager[919]: <info> Loaded plugin Wavecom
Nov 9 13:26:47 roger-desktop modem-manager[919]: <info> Loaded plugin Sierra
Nov 9 13:26:47 roger-desktop modem-manager[919]: <info> Loaded plugin Samsung
Nov 9 13:26:47 roger-desktop modem-manager[919]: <info> Loaded plugin Novatel
Nov 9 13:26:47 roger-desktop modem-manager[919]: <info> Loaded plugin Generic
Nov 9 13:26:47 roger-desktop modem-manager[919]: <info> Loaded plugin Huawei
Nov 9 13:26:47 roger-desktop modem-manager[919]: <info> Loaded plugin Longcheer
Nov 9 13:26:47 roger-desktop modem-manager[919]: <info> Loaded plugin X22X
Nov 9 13:26:47 roger-desktop modem-manager[919]: <info> Loaded plugin Nokia
Nov 9 13:26:47 roger-desktop modem-manager[919]: <info> Loaded plugin Option
Nov 9 13:26:47 roger-desktop modem-manager[919]: <info> Loaded plugin Gobi
Nov 9 13:26:47 roger-desktop modem-manager[919]: <info> (ttyS4) opening serial port...
Nov 9 13:26:47 roger-desktop NetworkManager[932]: <info> modem-manager is now available
Nov 9 13:26:59 roger-desktop modem-manager[919]: <info> (ttyS4) closing serial port...
Nov 9 13:26:59 roger-desktop modem-manager[919]: <info> (ttyS4) serial port closed
Nov 9 13:26:59 roger-desktop modem-manager[919]: <info> (ttyS4) opening serial port...
Nov 9 13:27:05 roger-desktop modem-manager[919]: <info> (ttyS4) closing serial port...
Nov 9 13:27:05 roger-desktop modem-manager[919]: <info> (ttyS4) serial port closed
Nov 9 17:32:07 roger-desktop modem-manager[934]: <info> ModemManager (version 0.5.2.0) starting...
Nov 9 17:32:07 roger-desktop modem-manager[934]: <info> Loaded plugin SimTech
Nov 9 17:32:07 roger-desktop modem-manager[934]: <info> Loaded plugin MotoC
Nov 9 17:32:07 roger-desktop modem-manager[934]: <info> Loaded plugin Ericsson MBM
Nov 9 17:32:07 roger-desktop modem-manager[934]: <info> Loaded plugin ZTE
Nov 9 17:32:07 roger-desktop modem-manager[934]: <info> Loaded plugin Linktop
Nov 9 17:32:07 roger-desktop modem-manager[934]: <info> Loaded plugin AnyData
Nov 9 17:32:07 roger-desktop modem-manager[934]: <info> Loaded plugin Option High-Speed
Nov 9 17:32:07 roger-desktop modem-manager[934]: <info> Loaded plugin Wavecom
Nov 9 17:32:07 roger-desktop modem-manager[934]: <info> Loaded plugin Sierra
Nov 9 17:32:07 roger-desktop modem-manager[934]: <info> Loaded plugin Samsung
Nov 9 17:32:07 roger-desktop modem-manager[934]: <info> Loaded plugin Novatel
Nov 9 17:32:07 roger-desktop modem-manager[934]: <info> Loaded plugin Generic
Nov 9 17:32:07 roger-desktop modem-manager[934]: <info> Loaded plugin Huawei
Nov 9 17:32:07 roger-desktop modem-manager[934]: <info> Loaded plugin Longcheer
Nov 9 17:32:07 roger-desktop modem-manager[934]: <info> Loaded plugin X22X
Nov 9 17:32:07 roger-desktop modem-manager[934]: <info> Loaded plugin Nokia
Nov 9 17:32:07 roger-desktop modem-manager[934]: <info> Loaded plugin Option
Nov 9 17:32:07 roger-desktop modem-manager[934]: <info> Loaded plugin Gobi
Nov 9 17:32:07 roger-desktop modem-manager[934]: <info> (ttyS4) opening serial port...
Nov 9 17:32:07 roger-desktop NetworkManager[943]: <info> modem-manager is now available
Nov 9 17:32:19 roger-desktop modem-manager[934]: <info> (ttyS4) closing serial port...
Nov 9 17:32:19 roger-desktop modem-manager[934]: <info> (ttyS4) serial port closed
Nov 9 17:32:19 roger-desktop modem-manager[934]: <info> (ttyS4) opening serial port...
Nov 9 17:32:25 roger-desktop modem-manager[934]: <info> (ttyS4) closing serial port...
Nov 9 17:32:25 roger-desktop modem-manager[934]: <info> (ttyS4) serial port closed
Nov 9 17:41:31 roger-desktop modem-manager[932]: <info> ModemManager (version 0.5.2.0) starting...
Nov 9 17:41:31 roger-desktop modem-manager[932]: <info> Loaded plugin SimTech
Nov 9 17:41:31 roger-desktop modem-manager[932]: <info> Loaded plugin MotoC
Nov 9 17:41:31 roger-desktop modem-manager[932]: <info> Loaded plugin Ericsson MBM
Nov 9 17:41:31 roger-desktop modem-manager[932]: <info> Loaded plugin ZTE
Nov 9 17:41:31 roger-desktop modem-manager[932]: <info> Loaded plugin Linktop
Nov 9 17:41:31 roger-desktop modem-manager[932]: <info> Loaded plugin AnyData
Nov 9 17:41:31 roger-desktop modem-manager[932]: <info> Loaded plugin Option High-Speed
Nov 9 17:41:31 roger-desktop modem-manager[932]: <info> Loaded plugin Wavecom
Nov 9 17:41:31 roger-desktop modem-manager[932]: <info> Loaded plugin Sierra
Nov 9 17:41:31 roger-desktop modem-manager[932]: <info> Loaded plugin Samsung
Nov 9 17:41:31 roger-desktop modem-manager[932]: <info> Loaded plugin Novatel
Nov 9 17:41:31 roger-desktop modem-manager[932]: <info> Loaded plugin Generic
Nov 9 17:41:31 roger-desktop modem-manager[932]: <info> Loaded plugin Huawei
Nov 9 17:41:31 roger-desktop modem-manager[932]: <info> Loaded plugin Longcheer
Nov 9 17:41:31 roger-desktop modem-manager[932]: <info> Loaded plugin X22X
Nov 9 17:41:31 roger-desktop modem-manager[932]: <info> Loaded plugin Nokia
Nov 9 17:41:31 roger-desktop modem-manager[932]: <info> Loaded plugin Option
Nov 9 17:41:31 roger-desktop modem-manager[932]: <info> Loaded plugin Gobi
Nov 9 17:41:31 roger-desktop modem-manager[932]: <info> (ttyS4) opening serial port...
Nov 9 17:41:31 roger-desktop NetworkManager[944]: <info> modem-manager is now available
Nov 9 17:41:43 roger-desktop modem-manager[932]: <info> (ttyS4) closing serial port...
Nov 9 17:41:43 roger-desktop modem-manager[932]: <info> (ttyS4) serial port closed
Nov 9 17:41:43 roger-desktop modem-manager[932]: <info> (ttyS4) opening serial port...
Nov 9 17:41:49 roger-desktop modem-manager[932]: <info> (ttyS4) closing serial port...
Nov 9 17:41:49 roger-desktop modem-manager[932]: <info> (ttyS4) serial port closed
Nov 10 00:39:36 roger-desktop AptDaemon: INFO: CommitPackages() was called: dbus.Array([dbus.String(u'modem-manager-gui')], signature=dbus.Signature('s')), dbus.Array([dbus.String(u'')], signature=dbus.Signature('s')), dbus.Array([dbus.String(u'')], signature=dbus.Signature('s')), dbus.Array([dbus.String(u'')], signature=dbus.Signature('s')), dbus.Array([dbus.String(u'')], signature=dbus.Signature('s')), dbus.Array([dbus.String(u'')], signature=dbus.Signature('s'))
Nov 10 00:39:41 roger-desktop AptDaemon.Worker: INFO: Committing packages: dbus.Array([dbus.String(u'modem-manager-gui')], signature=dbus.Signature('s')), dbus.Array([], signature=dbus.Signature('s')), dbus.Array([], signature=dbus.Signature('s')), dbus.Array([], signature=dbus.Signature('s')), dbus.Array([], signature=dbus.Signature('s')), dbus.Array([], signature=dbus.Signature('s'))
Nov 10 00:42:07 roger-desktop AptDaemon: INFO: RemovePackages() was called: 'dbus.Array([dbus.String(u'modem-manager-gui')], signature=dbus.Signature('s'))'
Nov 10 00:42:08 roger-desktop AptDaemon.Worker: INFO: Committing packages: dbus.Array([], signature=dbus.Signature('s')), dbus.Array([], signature=dbus.Signature('s')), dbus.Array([dbus.String(u'modem-manager-gui')], signature=dbus.Signature('s')), dbus.Array([], signature=dbus.Signature('s')), dbus.Array([], signature=dbus.Signature('s')), dbus.Array([], signature=dbus.Signature('s'))
roger@roger-desktop:~$

( I note I don't see US Robotics or 3Com Corp in the above list, but I think the Generic info should work with it? )

I have come to the conclusion that there is very likely a problem within the updated Ubuntu that prevents proper modem communication. The above confusion about detected, and then not detected seems to support that. I have MANY man-hours in work trying to solve this problem. I have some concerns that someone made an "Imperial" decision that no one uses modems any more, particularly internal serial modems, and didn't test or even left out the needed code, much like for floppy drives.

However, I hope I am wrong, and there is a way to fix this. Maybe one of the Ubuntu updates simply overwrote some serial port / modem code?

The serial port / modem will simply not respond at all in CuteCom, minicom or Efax-gtk, whereas it works fine in Windoze. An "AT" command in minicom gets absolutely no response. Efax-gtk simply will not dial at all. I can't certify even that initialization is occurring on any of the above, because there is nothing returned from the modem to indicate that it is or is not initialized.

This seems to me to point to a fault in the basic OS communication with the serial port / modem, not higher level communications to an outside connection.

Just to make sure it's clearly understood, this modem is basically an internal sportster with it's own serial card / port at ttyS4. See http://www.usr.com/support/product-template.asp?prod=5610c for full details.

ALSO SEE
http://ubuntuforums.org/showthread.php?t=2089911
http://ubuntuforums.org/showthread.php?p=12386577

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1087519/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
Roger Davis (rogerdavis-d) wrote :

This is baffling to me.

ALL the serial functions don't work, doesn't matter which app.

Can I list the installer for Ubuntu as a package?

If this isn't where to report Ubuntu OS bugs, PLEASE point me to the correct place.

Google search "Ubuntu Bugs" gives :
Think you've found a bug?

Take a look at the guidelines below before you file a report.
File a bug report

You should only file a bug report when:

    You can repeat the problem
    It is not a feature of the program

Learn how to file a bug with the visual bug reporting tutorial.

***** You can report a bug about Ubuntu ***** .......

Changed in ubuntu:
status: New → Confirmed
Roger Davis (rogerdavis-d) wrote :

I think an important question at this point is : Is this problem only in Ubuntu, or is it also in the main Linux kernel, or other distros?

Depending on this answer, help may be available to fix this problem asap, other people besides just Ubuntu would be available.

Kees Schoenmakers (kslinux) wrote :

For one, check that your kernel support registration of more than 4 ports if you want to use /dev/ttyS4. The standard config is set to 4.

In the case that it tells you port is in use, check for a dangling lock file. cu will create a lock in order to prevent double access. 'lsof' may help you to find if an application is accessing the port (too).

dmesg may reveal how many serial ports are allocated during boot.

Kees

Kees Schoenmakers (kslinux) wrote :

Finally 'strace -f -ff -o /tmp/APP <application +args> is invaluable with solving problems.

less /tmp/APP* will show you all system calls, loads , accesses and so. Multiple APP* files may mean that the main application forked or multi-threaded. While looking with 'less' search for 'open' calls and look return status.

Kees

Kees Schoenmakers (kslinux) wrote :

The fact that the _devicenode_ exists does not necessarely mean that it is allocated in the kernel. So /dev/ttyS4 may show up with ls but may fail when you try to use it. Check CONFIG_SERIAL_8250_RUNTIME_UARTS in your kernel config file. Most likely place is in /boot.

The user who is to use a serial port should be in the 'dialout' group. Remember that you need to logout/login to make changes in this area effective.

Kees

Roger Davis (rogerdavis-d) wrote :

The problem is not in group membership, I am a member of dialout and dip, with many logout/logins done afterward.

Roger Davis (rogerdavis-d) wrote :

How can I approach this problem? I need a working serial port.

With a fix or a work-around I can do?

Is there some kind of add-on I can use?

Is this in process to be fixed in the kernel or other segment?

Koen Hendrix (koen-hendrix) wrote :

i have no clue. i hid my own comments, to keep this bug report clean. i made a separate bug report (for program 'cu', Bug #1094278 ) and hope the maintainer takes a look at it.

Koen Hendrix (koen-hendrix) wrote :

Roger, have you verified whether the device is actually allocated (Kees' question)?

I'd love to see a trace of your problem, to compare it with mine.

Roger Davis (rogerdavis-d) wrote :
Download full text (10.2 KiB)

If the below doesn't help, please give me details on how to get the information you want. It will be at least Monday before I can check it, unless I hear from you in the next couple of hours.

The strace items were so long that it would be almost impossible to get them in here, and the top portions were trundcated so I couldn't see which one was being straced in many cases. Can you let me know how to handle these to get you useful info?

Thanks!

roger@roger-desktop:~$ sudo uname -a
[sudo] password for roger:
Linux roger-desktop 3.2.0-35-generic #55-Ubuntu SMP Wed Dec 5 17:42:16 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
roger@roger-desktop:~$

roger@roger-desktop:~$ sudo dmesg|grep tty
[sudo] password for roger:
[ 0.000000] console [tty0] enabled
[ 1.365228] 0000:04:01.0: ttyS4 at I/O 0xd000 (irq = 17) is a 16550A
roger@roger-desktop:~$

sudo ls -al /dev/ttyS?
crw-rw---- 1 root dialout 4, 64 Dec 28 08:20 /dev/ttyS0
crw-rw---- 1 root dialout 4, 65 Dec 28 08:20 /dev/ttyS1
crw-rw---- 1 root dialout 4, 66 Dec 28 08:20 /dev/ttyS2
crw-rw---- 1 root dialout 4, 67 Dec 28 08:20 /dev/ttyS3
crw-rw---- 1 root dialout 4, 68 Dec 28 08:20 /dev/ttyS4
crw-rw---- 1 root dialout 4, 69 Dec 28 08:20 /dev/ttyS5
crw-rw---- 1 root dialout 4, 70 Dec 28 08:20 /dev/ttyS6
crw-rw---- 1 root dialout 4, 71 Dec 28 08:20 /dev/ttyS7
crw-rw---- 1 root dialout 4, 72 Dec 28 08:20 /dev/ttyS8
crw-rw---- 1 root dialout 4, 73 Dec 28 08:20 /dev/ttyS9
roger@roger-desktop:~$

sudo cat /proc/tty/driver/serial
serinfo:1.0 driver revision:
0: uart:unknown port:000003F8 irq:4
1: uart:unknown port:000002F8 irq:3
2: uart:unknown port:000003E8 irq:4
3: uart:unknown port:000002E8 irq:3
4: uart:16550A port:0000D000 irq:17 tx:0 rx:0 CTS|DSR
5: uart:unknown port:00000000 irq:0
6: uart:unknown port:00000000 irq:0
7: uart:unknown port:00000000 irq:0
8: uart:unknown port:00000000 irq:0
9: uart:unknown port:00000000 irq:0
10: uart:unknown port:00000000 irq:0
11: uart:unknown port:00000000 irq:0
12: uart:unknown port:00000000 irq:0
13: uart:unknown port:00000000 irq:0
14: uart:unknown port:00000000 irq:0
15: uart:unknown port:00000000 irq:0
16: uart:unknown port:00000000 irq:0
17: uart:unknown port:00000000 irq:0
18: uart:unknown port:00000000 irq:0
19: uart:unknown port:00000000 irq:0
20: uart:unknown port:00000000 irq:0
21: uart:unknown port:00000000 irq:0
22: uart:unknown port:00000000 irq:0
23: uart:unknown port:00000000 irq:0
24: uart:unknown port:00000000 irq:0
25: uart:unknown port:00000000 irq:0
26: uart:unknown port:00000000 irq:0
27: uart:unknown port:00000000 irq:0
28: uart:unknown port:00000000 irq:0
29: uart:unknown port:00000000 irq:0
30: uart:unknown port:00000000 irq:0
31: uart:unknown port:00000000 irq:0
roger@roger-desktop:~$

sudo cat /etc/group|grep roger
root:x:0:roger
daemon:x:1:earlleen,roger
adm:x:4:roger
tty:x:5:earlleen,roger
disk:x:6:roger
news:x:9:earlleen,roger
uucp:x:10:earlleen,roger
proxy:x:13:roger
dialout:x:20:roger,earlleen
fax:x:21:roger,earlleen
voice:x:22:earlleen,roger
cdrom:x:24:roger
floppy:x:25:roger,earlleen
sudo:x:27:roger
audio:x:29:pulse,roger
dip:x:30:roger,earlleen
www-data:x:33:roger
operator:x:37:roger
irc:x:39:earlleen,roger
utmp:x:43:ro...

Koen Hendrix (koen-hendrix) wrote :

are you sure the modem is awake (as in, no software magic or no bios needs to wake it up)?

that modem has firmware that can be updated; do you have the latest?

what happens if you send a regular hayes command to the modem, for example: escape, speaker always on, volume up and a pause (to hear a line)?
 $ echo '+++'>/dev/ttyS4
 $ echo ATM2L3>/dev/ttyS4
 $ echo ATD>/dev/ttyS4
do you now hear a dialtone (i am assuming it has a speaker)?

it's a usrobotics; i remember these had a slightly different command stack in the eighties and the nineties. but it should take standard hayes command nevertheless. the usr.com page doens't list a datasheet...

from your dmesg:
 > [ 1.365228] 0000:04:01.0: ttyS4 at I/O 0xd000 (irq = 17) is a 16550A
this looks like a serial port, not like a fax/modem. do you have anything else in your dmesg that points to a modem? what does lspci tells you? try "sudo lspci -vvvk" and see if the modem is listed

to post the traces: they should be written to files automatically, just post these as attachments? make sure you do a trace of your problem (sending a fax):

Koen Hendrix (koen-hendrix) wrote :

what is your output of "sudo setserial -av /dev/ttyS4"? if setserial doesn't exist, you can "sudo apt-get install setserial" it.

what is your output of "sudo stty -a -F /dev/ttyS4"?

Koen Hendrix (koen-hendrix) wrote :

Roger, you said: "Just to make sure it's clearly understood, this modem is basically an internal sportster with it's own serial card / port at ttyS4. "

it is a device on a pci-lane. it should identify itself with a vendor id, which should show up in dmesg or probe by lspci...

Roger Davis (rogerdavis-d) wrote :
Download full text (5.2 KiB)

roger@roger-desktop:~$ echo '+++'>/dev/ttyS4
echo ATM2L3>/dev/ttyS4
echo ATD>/dev/ttyS4
(no result at all, no sound, totally blank line)

More modem info
http://www.usr.com/support/product-template.asp?prod=5610c
http://www.usr.com/support/5610c/5610c-ug/index.html >REFERENCE >select your choice of command sets, S-registers, etc.

All I could see in dmesg, can't guarantee I didn't miss anything :
[ 1.176994] Serial: 8250/16550 driver, 32 ports, IRQ sharing enabled
[ 1.360190] serial 0000:04:01.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[ 1.381155] 0000:04:01.0: ttyS4 at I/O 0xd000 (irq = 17) is a 16550A

roger@roger-desktop:~$ lspci
00:00.0 Host bridge: Intel Corporation Ivy Bridge DRAM Controller (rev 09)
00:01.0 PCI bridge: Intel Corporation Ivy Bridge PCI Express Root Port (rev 09)
00:14.0 USB controller: Intel Corporation Panther Point USB xHCI Host Controller (rev 04)
00:16.0 Communication controller: Intel Corporation Panther Point MEI Controller #1 (rev 04)
00:19.0 Ethernet controller: Intel Corporation 82579V Gigabit Network Connection (rev 04)
00:1a.0 USB controller: Intel Corporation Panther Point USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation Panther Point High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation Panther Point PCI Express Root Port 1 (rev c4)
00:1c.2 PCI bridge: Intel Corporation Panther Point PCI Express Root Port 3 (rev c4)
00:1c.4 PCI bridge: Intel Corporation Panther Point PCI Express Root Port 5 (rev c4)
00:1c.7 PCI bridge: Intel Corporation Panther Point PCI Express Root Port 8 (rev c4)
00:1d.0 USB controller: Intel Corporation Panther Point USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation Panther Point LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation Panther Point 6 port SATA Controller [AHCI mode] (rev 04)
00:1f.3 SMBus: Intel Corporation Panther Point SMBus Controller (rev 04)
01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Device 683f
01:00.1 Audio device: Advanced Micro Devices [AMD] nee ATI Device aab0
03:00.0 PCI bridge: Integrated Technology Express, Inc. Device 8892 (rev 30)
04:01.0 Serial controller: 3Com Corp, Modem Division 56K FaxModem Model 5610 (rev 01)
04:02.0 FireWire (IEEE 1394): Texas Instruments TSB43AB22A IEEE-1394a-2000 Controller (PHY/Link) [iOHCI-Lynx]
05:00.0 USB controller: NEC Corporation uPD720200 USB 3.0 Host Controller (rev 04)
06:00.0 SATA controller: Marvell Technology Group Ltd. 88SE9172 SATA 6Gb/s Controller (rev 11)
roger@roger-desktop:~$

sudo lspci -vvvk found the modem :
04:01.0 Serial controller: 3Com Corp, Modem Division 56K FaxModem Model 5610 (rev 01) (prog-if 02 [16550])
 Subsystem: 3Com Corp, Modem Division USR 56K Internal V92 FAX Modem (Model 5610)
 Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Interrupt: pin A routed to IRQ 17
 Region 0: I/O ports at d000 [size=8]
 Capabilities: [dc] Power Management version 2
  Flags: PMEClk- DSI- D1- D2+ AuxCurrent=0mA PME(D0+,...

Read more...

Koen Hendrix (koen-hendrix) wrote :

are you sure nothing else interferes on irq 17? shouldn't matter, but a lot of bios' allow setting irq's manually for all things serial and parallel...

> Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=2 PME-
are you sure D0 is a normal status for this modem?

in minicom, do you get an "OK" back if you try "AT"?

also in minicom, do you get diagnostics if you ask them (ATI4, ATI5, ATI6, ATI7, ATI9, ATI11)?

Koen Hendrix (koen-hendrix) wrote :

ok, i missed the part where you stated it doesn't respond to a simple "AT"...
what if you try to put it back into a factory default mode (http://www.usr.com/support/5610c/5610c-ug/tech-ref.html#f0) and match that in minicom?

Koen Hendrix (koen-hendrix) wrote :

make sure the modem is set to display resulting codes (ATQ0)...

Koen Hendrix (koen-hendrix) wrote :

also make sure the modem is in command modus, not in online modus. use "+++" to switch...

Roger Davis (rogerdavis-d) wrote :

I've tried the commmand mode by "+++" many times. I've tried reset in Ubuntu, and also going to the Windoze side of this same machine where the modem works fine, and resetting it, then going straight back to Ubuntu and checking responses. All is still the same, no response, no echo, no nothing in Ubuntu. Windoze works fine.

All I can say is that Minicom flashes "Initializing modem" at first, and that the Minicom cursor usually disappears when I'm typing the commands. Nothing else...

The experience reminds me of trying to speak to a profoundly deaf person - you can say anything you want, but it doesn't get through and you get no response... Actually that's bettter, because the deaf person at least knows you are trying to communicate something to them.

I take it that none of the other info I recently posted shed any light onto the situation?

What should I do next?

Thanks!

Roger Davis (rogerdavis-d) wrote :

I just looked in the BIOS for any setting for IRQ or ports. I couldn't find any.

Koen Hendrix (koen-hendrix) wrote :

try booting in windows, and resetting the modem to factory default with hardware flow control (ATZ4); then boot in ubuntu,
try deleting any minicom configuration you have (user and system-wide), and start minicom with "-s" (this way, minicom will not initialise the modem); then try to match minicom settings with your modem's configuration (flow control, ...).

Koen Hendrix (koen-hendrix) wrote :

i think this is crucial: "All I can say is that Minicom flashes "Initializing modem" at first, and that the Minicom cursor usually disappears when I'm typing the commands."

Roger Davis (rogerdavis-d) wrote :

I've now tried booting in Windoze, reset modem to default with hardware flow control, back to Ubuntu, as well as next trying to set Minicom to the same settings - all with no results - same as before.

I had to start Nautilus as sudo to delete the config files, and am still unable to save a new one. It tells me "cannot write to etc./minicom/minird.xxx" .

Roger Davis (rogerdavis-d) wrote :

" next trying to set Minicom to the same settings" - means same settings as worked in Windoze.

Roger Davis (rogerdavis-d) wrote :

BTW - I was able to save configuration files earlier, but after the problems started.

Koen Hendrix (koen-hendrix) wrote :

it's normal you need sudo to delete the configuration file in /etc.

if the following is literal: "cannot write to etc./minicom/minird.xxx", there is an odd problem with the path ("etc./").
if it's not literal, you probably need to start minicom with sudo to make sure it can write a file in /etc .

i still think this is crucial: "All I can say is that Minicom flashes "Initializing modem" at first, and that the Minicom cursor usually disappears when I'm typing the commands."; you should be able to locally echo what you type in the minicom console. you don't know what minicom is using for initialisation (hence the need to try running it without any configuration file; initialisation with the wrong string would mess things up).

since it doesn't work in wvdial or cutecom either, i agree the problem is probably related to the serial port.

if you have a cd/dvd in this box, you could try the following: reset your modem to defaults in windows; then boot the live dvd/cd installer of ubuntu, don't reinstall but simply use the desktop environment, install minicom in that environment (sudo apt-get install minicom; this will work in the live environment) and try if that works. this would rule out any misconfiguration by your hand.

Koen Hendrix (koen-hendrix) wrote :

you could dump the modem's diagnostics from windows, and see if that looks in order...

Koen Hendrix (koen-hendrix) wrote :

one more thing: setserial describes a 16550A uart and your lshw output describes a 16550. i have no idea whether that makes a difference, but setserial allow setting a 16550.

from your lspci output: "Kernel driver in use: serial"; this is not a module, correct?

Koen Hendrix (koen-hendrix) wrote :

from the setserial output: "Flags: spd_normal skip_test"; skip_test is usually set when there is a fake 16550 present; try without this flag, and see if the uart gets tested ok.

Koen Hendrix (koen-hendrix) wrote :

once again: are you sure nothing else is interfering on irq 17? check with ' sudo lspci -vvvk|grep "IRQ 17" '

Koen Hendrix (koen-hendrix) wrote :

also check if you have an /etc/serial.conf or a modifief /etc/init.d/setserial...

Roger Davis (rogerdavis-d) wrote :
Download full text (10.7 KiB)

I was able to use sudo to save a new default file.

Minicom behaves exactly the same running from the live CD.

Here is the diags from Windoze 7 - it seems ok to me
01-07-2013 21:46:16.925 - File: C:\Windows\system32\tapisrv.dll, Version 6.1.7601
01-07-2013 21:46:16.925 - File: C:\Windows\system32\unimdm.tsp, Version 6.1.7601
01-07-2013 21:46:16.925 - File: C:\Windows\system32\unimdmat.dll, Version 6.1.7601
01-07-2013 21:46:16.925 - File: C:\Windows\system32\uniplat.dll, Version 6.1.7600
01-07-2013 21:46:16.925 - File: C:\Windows\system32\drivers\modem.sys, Version 6.1.7600
01-07-2013 21:46:16.925 - File: C:\Windows\system32\modemui.dll, Version 6.1.7600
01-07-2013 21:46:16.925 - File: C:\Windows\system32\mdminst.dll, Version 6.1.7600
01-07-2013 21:46:16.925 - Modem type: U.S. Robotics V92 Fax PCI
01-07-2013 21:46:16.925 - Modem inf path: oem35.inf
01-07-2013 21:46:16.925 - Modem inf section: Modem_00D3
01-07-2013 21:46:16.925 - Matching hardware ID: pci\ven_12b9&dev_1008&subsys_00d312b9&rev_01
01-07-2013 21:46:16.956 - 115200,8,N,1, ctsfl=1, rtsctl=2
01-07-2013 21:46:16.956 - Initializing modem.
01-07-2013 21:46:16.972 - Send: AT<cr>
01-07-2013 21:46:16.972 - Recv: <cr><lf>OK<cr><lf>
01-07-2013 21:46:16.972 - Interpreted response: OK
01-07-2013 21:46:16.987 - Send: AT&F1E0Q0V1&C1&D2S0=0<cr>
01-07-2013 21:46:16.987 - Recv: <cr><lf>OK<cr><lf>
01-07-2013 21:46:16.987 - Interpreted response: OK
01-07-2013 21:46:17.003 - Send: ATS6=8<cr>
01-07-2013 21:46:17.003 - Recv: <cr><lf>OK<cr><lf>
01-07-2013 21:46:17.003 - Interpreted response: OK
01-07-2013 21:46:17.018 - Send: ATS7=60S19=0L1M1&M4&K1&H1&R2&I0B0X4<cr>
01-07-2013 21:46:17.018 - Recv: <cr><lf>OK<cr><lf>
01-07-2013 21:46:17.018 - Interpreted response: OK
01-07-2013 21:46:17.018 - Lowering DTR before closing port
01-07-2013 21:46:17.128 - Session Statistics:
01-07-2013 21:46:17.128 - Reads : 24 bytes
01-07-2013 21:46:17.128 - Writes: 68 bytes
ATQ0V1E0 - OK
AT+GMM - H.324 video-ready rev. 1.0
      U.S. Robotics
AT+FCLASS=? - 0,1,2.0
AT#CLS=? - COMMAND NOT SUPPORTED
AT+GCI? - +GCI: ÿÿ
AT+GCI=? - +GCI: (20,B5)
ATI1 - 7AA0
ATI2 - OK
ATI3 - U.S. Robotics 56K FAX INT V5.22.91
ATI4 - U.S. Robotics 56K FAX INT Settings...
         B0 E0 F1 L1 M1 Q0 V1 X4 Y0
         BAUD=115200 PARITY=N WORDLEN=8
         DIAL=TONE ON HOOK CID=0
         &A3 &B1 &C1 &D2 &G0 &H1 &I0 &K1
         &M4 &N0 &P1 &R2 &S0 &T5 &U0 &Y1
         S00=000 S01=000 S02=043 S03=013 S04=010 S05=008 S06=008
         S07=060 S08=002 S09=006 S10=014 S11=070 S12=050 S13=000
         S15=000 S16=000 S18=000 S19=000 S21=010 S22=017 S23=019
         S25=005 S27=000 S28=008 S29=020 S30=000 S31=128 S32=002
         S33=000 S34=000 S35=000 S36=014 S38=000 S39=000 S40=001
         S41=000 S42=010

         LAST DIALED #:
ATI5 - U.S. Robotics 56K FAX INT NVRAM Settings...
       Template Y0
         DIAL=TONE B0 E1 F1 L1 M1 Q0 V1 X4
         BAUD=115200 PARITY=N WORDLEN=8
         &A3 &B1 &C1 &D2 &G0 &H1 &I0 &K1 &M4 &N0
         &P1 &R2 &S0 &T5 &U0 &Y1
         S00=001 S02=043 S03=013 S04=010 S05=00...

Roger Davis (rogerdavis-d) wrote :

How do I help this problem reach "ASSIGNED" status?

Krzysztof Radka (k-radka) wrote :

Hi Roger,
finally solved similar problem with my server. The solution is to add kernel option "PCI=routeirq" while booting (for test if works) and if it does to GRUB_CMDLINE_LINUX in /etc/default/grub. Then run "update-grub".

My GRUB_CMDLINE_LINUX parameter is as follows:

GRUB_CMDLINE_LINUX="8250.nr_uarts=5 PCI=routeirq"

The former kernel option limits ttySx devices to required number.

Hope this will help you.
Cheers

Roger Davis (rogerdavis-d) wrote :

Sounds like it might help, but can someone translate this into specific directions to accomplish it?

Krzysztof Radka (k-radka) wrote :

1. Reboot the machine
2. Press ESC upon GRUB menu appeared
3. Press "e" to enter edit mode of GRUB command launching kernel
4. find line with kernel options - it should contain one or more words "quiet", "splash", "image"
6. fix cursor at the and of the line and enter "pci=routeirq" (w/o quotes)
7. press F10 to make GRUB go on.

If things will go well - add the option to GRUB_CMDLINE_LINUX as described in my previous post

If thing will not go well, repeat the above procedure, but this time enter the option "pci=nocrs" ( the newer motherboard/BIOS you have the more likely you will require it).

Good luck!

Roger Davis (rogerdavis-d) wrote :

OK, I tried both lines. System would not boot with "pci=routeirq" added. It would boot with "pci=nocrs", but again ttyS4 would not work.

The way your previous message reads is a bit confusing to me. By "(for test if works)", do you mean to test if it will boot, or test if the serial port works? If the serial port should have worked, I'm out of luck again.

I guess the addition by editing the active grub lines is just to test for that one start if the system will operate with either one of the additions, and to determine which one will work? BTW, the line in the active grub was much different from either GRUB_CMDLINE_LINUX_DEFAULT="quiet splash" or - GRUB_CMDLINE_LINUX="", but it did contain both quiet and splash.

Please confirm or not that "pci=nocrs" is just temporary in the active (by pressing shift, then escape) grub screen, and will disappear on the next boot.

My best guess now would be to:
- add "pci=nocrs" and the rest of your line to the "GRUB_CMDLINE_LINUX="", giving me
"GRUB_CMDLINE_LINUX="8250.nr_uarts=5 pci=nocrs" in /etc/default/grub
- run sudo "update-grub" in Terminal

But I have two "GRUB_CMDLINE_LINUX" lines. They are :
- GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
- GRUB_CMDLINE_LINUX=""

Please confirm the correct one to add to is GRUB_CMDLINE_LINUX=""

Thanks!

Roger Davis (rogerdavis-d) wrote :

Considering Grub, what significance does "`GRUB_SERIAL_COMMAND'
     A command to configure the serial port when using the serial
     console. *Note serial::. Defaults to `serial'. " have with regards to this situation?

Krzysztof Radka (k-radka) wrote :

Roger,
GRUB_CMDLINE_LINUX_DEAFAULT attaches its options to default GRUB menu item only.
GRUB_CMDLINE_LINUX does it for each item (recovery modes too).

Since you can edit GRUB item line at while boot time, it is up to you which one to choose.
But there is no reason to change any of those lines if you did not succeed by editing grub start lines.

Re: GRUB_SERIAL_COMMAND
the GNU Grub Manual says it is to conf serial line, while booting box via it.

"Please confirm or not that "pci=nocrs" is just temporary in the active (by pressing shift, then escape) grub screen, and will disappear on the next boot."

Everything you enter to GRUB command WHILE BOOTING your box (i.e. upon pressing "e" while Grub menu is seen) is TEMPORARY and active for that particular boot only. Therefore you can test new options being added to kernel in a safe way.

What you add to GRUB_CMDLINE_LINUX... and issue update-grub afterwards is active for all next system launches.
==========

I experienced my problems upon upgrading to Ubu 12.04 LTS from 8.04 and changing my mobo to AMD990FX-based (Asus Sabertooth). My modem is ZOOM PCI 2920 (not sure about the number).
First success came upon adding "pci=routeirq" option. Then I upgraded BIOS to version 1604 and modem got not accessible again (frankly speaking it was accessible all that time, but its replies went to nowhere due to wrong IRQ assignment).

Look at your /var/log/dmesg and grep "ttyS" there. Focus on IRQ number assigned by kernel. Check in /proc/interrupts if that number is used by bus you have put your modem into, and what device driver cares about that IRQ. You should find "8250" or "serial" as driver names for your modem if it operates right ( not your case alas!).
So if there is IRQ number assigned at boot time ( as checked in dmesg log), and there is not right driver assigned to that IRQ at run time ( as seen in /proc/interrupts) you should focus on investigating events happened in between.

If nothing helps you may try kernel option "irqpoll". The option will make CPU to care about the interrupts. In general the option will slow machine, but this may not be your case if you are not running several GigaEthernets links.

As a valuable experience you may connect the modem to phone line and call the modem through another phone. I wonder if you would see kernel complains about "nobody cares" on your terminal.

Roger Davis (rogerdavis-d) wrote :
Download full text (9.0 KiB)

OK, I understand that items altered in Grub at boot time are temporary. But it is confusing to me why the suggested change to the file (permanent) is different ( "pci=nocrs" and "GRUB_CMDLINE_LINUX="8250.nr_uarts=5 pci=nocrs" ). Do they actually have the same result? The "pci=nocrs" is without the uarts=5...

My motherboard is fairly new design, I think. Here is some info from LSHW :
roger-desktop
    description: Desktop Computer
    product: (To be filled by O.E.M.)
    width: 64 bits
    capabilities: smbios-2.7 dmi-2.7 vsyscall32
    configuration: boot=normal chassis=desktop family=To be filled by O.E.M. sku=To be filled by O.E.M. uuid=876A4EBE-6FBD-11E1-BD11-0011118582DC
  *-core
       description: Motherboard
       product: DZ77BH-55K
       vendor: Intel Corporation
       physical id: 0
       version: AAG39008-400
       serial: BQBH210000JM
     *-firmware
          description: BIOS
          vendor: Intel Corp.
          physical id: 0
          version: BHZ7710H.86A.0057.2012.0208.1904
          date: 02/08/2012
          size: 64KiB
          capacity: 6336KiB
          capabilities: pci upgrade shadowing cdboot bootselect socketedrom edd int13floppy1200 int13floppy720 int13floppy2880 int5printscreen int9keyboard int14serial int17printer acpi usb biosbootspecification
*-cpu
          description: CPU
          product: Intel(R) Core(TM) i7-3770 CPU @ 3.40GHz
 *-pci
          description: Host bridge
          product: Ivy Bridge DRAM Controller
          vendor: Intel Corporation
          physical id: 100
          bus info: pci@0000:00:00.0
          version: 09
          width: 32 bits
          clock: 33MHz
 *-pci
                description: PCI bridge
                product: Integrated Technology Express, Inc.
                vendor: Integrated Technology Express, Inc.
                physical id: 0
                bus info: pci@0000:03:00.0
                version: 30
                width: 32 bits
                clock: 33MHz
                capabilities: pci pm subtractive_decode bus_master cap_list
                resources: ioport:d000(size=4096) memory:f7d00000-f7dfffff
              *-communication
                   description: Serial controller <-------
                   product: 56K FaxModem Model 5610
                   vendor: 3Com Corp, Modem Division
                   physical id: 1
                   bus info: pci@0000:04:01.0
                   version: 01
                   width: 32 bits
                   clock: 33MHz
                   capabilities: pm 16550 cap_list
                   configuration: driver=serial latency=0
                   resources: irq:17 ioport:d000(size=8) <-------
 *-serial UNCLAIMED <------- ???
             description: SMBus
             product: Panther Point SMBus Controller
             vendor: Intel Corporation
             physical id: 1f.3
             bus info: pci@0000:00:1f.3
             version: 04
             width: 64 bits
             clock: 33MHz
             configuration: latency=0
   ...

Read more...

Krzysztof Radka (k-radka) wrote :

Both you and me we do have new mobos. Yours is decent Intel piece, mine decent AMD one. One clue more to look for problem source on operating system's side.

 Dont worry about system boot upon GRUB_CMDLINE_LINUX... change. You can always play with kernel options at boot time and revert changes.

"8250.nr_uarts=5" is used by me to limit unnecessary memory occupation by inexsisting ports. Standard 3.x.x kernel reserves room for 32 uarts, often invain.
You can limit the number by this option or leave 32 as it is.

I see IRQ 17 is shared between modem and sound card. Try to switch off audio in BIOS or pull out of the slot if it is a card.

What I found most interesting is that IRQ 17 appears in /proc/interrupts only while using minicom. It should be there or missing all the time, AFAIK

Kernel complains about "nobody cares IRQ 17" shall be displayed on every console, even prior to any login action. This is a critical system message and as such is broadcasted ( as ordered by syslog.conf ).

Roger Davis (rogerdavis-d) wrote :

About the sharing of IRQ 17, which is hardware (?), this machine also runs in Windows 7 (completely separate hard drive, not seen in Linux), and the modem works fine there. So would Ubuntu treat this differently than Windows 7? I'll look in a few minutes about if this is in the BIOS, don't think it's a separate card.

Also, since this is a confirmed bug, it probably happens on different systems, mobos, sound, etc. ?

But since the boot line and the file info is different, how will I know how to undo the file effect at boot edit? " Dont worry about system boot upon GRUB_CMDLINE_LINUX... change. You can always play with kernel options at boot time and revert changes."

Just to make sure, your modem is internal, with a built-in serial port of it's own? What IRQ is your modem on? What IRQ is your sound on?

How do I check on "Kernel complains about "nobody cares IRQ 17"" ? Or is this something that might be hidden by the - GRUB_CMDLINE_LINUX_DEFAULT="quiet splash" in the grub file? Maybe I should remove this line value "quiet splash"?

"What I found most interesting is that IRQ 17 appears in /proc/interrupts only while using minicom. It should be there or missing all the time, AFAIK" - Any ideas on how to investigate this?

Roger Davis (rogerdavis-d) wrote :

Also, your modem is at ttyS4?

Krzysztof Radka (k-radka) wrote :

Do you have UEFI bios?

Can't follow "But since the boot line and the file info is different". What is file info?

My modem is internal, PCI, has 16550A port built-in. It is ttyS4.

It doesn't matter what IRQ has my sound card uses, because IRQ sharing between modem ans sound card is in your machine.
In mine there is IIRQ 20 sharing between modem and USB.

Kernel complains about "nobody cares" are critical messages displayed on every console. So you do not have to do anything, butwatching the screen.

Roger Davis (rogerdavis-d) wrote :

I did disable on board sound in the BIOS, no help.

"File info" is the change made in the /etc/default/grub file, whereas the "boot line" is the edit made on the grub line during boot. The question means - If I alter the /etc/default/grub file and process it with "update-grub", it appears to me that the "processed" grub file seen at boot time is very different (transformed) from "/etc/default/grub", so how would I know how to alter the boot time file to allow me to proceed and fix the /etc/default/grub file if I screw it up?

It appears that the functionality of our modems is very similar, but still somewhat different.

In order to see the "nobody cares" messages (if they exist), maybe I should remove the "quiet splash" from GRUB_CMDLINE_LINUX_DEFAULT="quiet splash" in the grub file? , or does this just affect some splash screen, not any messages?

Thanks!

Krzysztof Radka (k-radka) wrote :

What you see in grub DEAFAULT command line at boot time is taken from GRUB_CMDLINE_LINUX_DEFAULT
What you see at another grub menu item's command line (e.g recovery mode, or another kernel version) is taken from GRUB_CMDLINE_LINUX.

What is there more is "pure linux meet", it is kernel image name, root directory and initramfs specification.

Splash means you want see a picture not text while booting.
When booting printk utility prints a lot of messages to console. To avoid this noise most people use "quiet" kernel option.
All the avoided messages may be seen later in /var/log/dmesg.
It is up to you what you want to see on console at boot time. It will not however change any system funcionality.

Upon BIOS upgrade my modem is dumb again.

Many people complain about wrong IRQ care on modern mobos with 3.x.x kernels. It does not relate to modem cards only. However it is specific to PCI bus I think. PCI-E has different IRQ handling than PCI. There is a bus messaging, not PIRQ signalling.

I think I will wait for right solution.

Another more bad experience titled "Never buy new hardware for Linux".

Roger Davis (rogerdavis-d) wrote :
Download full text (65.8 KiB)

I'm very sorry to hear that your modem is not working again!

I don't fully understand about "nobody cares", though I did find :
[ 3.532327] irq 16: nobody cared (try booting with the "irqpoll" option)
about irq 16. I'll try "irqpoll" again tomorrow, presuming it's done as you explained earlier.

Here is my complete dmesg, just in case there is something there that I don't know what I'm looking for or seeing :

[ 0.000000] Initializing cgroup subsys cpuset
[ 0.000000] Initializing cgroup subsys cpu
[ 0.000000] Linux version 3.2.0-37-generic (buildd@allspice) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #58-Ubuntu SMP Thu Jan 24 15:28:10 UTC 2013 (Ubuntu 3.2.0-37.58-generic 3.2.35)
[ 0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-3.2.0-37-generic root=UUID=b7f6fbaa-8299-4238-8857-73348fdada89 ro quiet splash vt.handoff=7
[ 0.000000] KERNEL supported cpus:
[ 0.000000] Intel GenuineIntel
[ 0.000000] AMD AuthenticAMD
[ 0.000000] Centaur CentaurHauls
[ 0.000000] BIOS-provided physical RAM map:
[ 0.000000] BIOS-e820: 0000000000000000 - 000000000009d400 (usable)
[ 0.000000] BIOS-e820: 000000000009d400 - 00000000000a0000 (reserved)
[ 0.000000] BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)
[ 0.000000] BIOS-e820: 0000000000100000 - 00000000de5b1000 (usable)
[ 0.000000] BIOS-e820: 00000000de5b1000 - 00000000dec4a000 (reserved)
[ 0.000000] BIOS-e820: 00000000dec4a000 - 00000000deeb1000 (ACPI NVS)
[ 0.000000] BIOS-e820: 00000000deeb1000 - 00000000deebd000 (ACPI data)
[ 0.000000] BIOS-e820: 00000000deebd000 - 00000000deeca000 (ACPI NVS)
[ 0.000000] BIOS-e820: 00000000deeca000 - 00000000deecf000 (ACPI data)
[ 0.000000] BIOS-e820: 00000000deecf000 - 00000000def12000 (ACPI NVS)
[ 0.000000] BIOS-e820: 00000000def12000 - 00000000df800000 (usable)
[ 0.000000] BIOS-e820: 00000000f8000000 - 00000000fc000000 (reserved)
[ 0.000000] BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
[ 0.000000] BIOS-e820: 00000000fed00000 - 00000000fed04000 (reserved)
[ 0.000000] BIOS-e820: 00000000fed1c000 - 00000000fed20000 (reserved)
[ 0.000000] BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
[ 0.000000] BIOS-e820: 00000000ff000000 - 0000000100000000 (reserved)
[ 0.000000] BIOS-e820: 0000000100000000 - 000000041f000000 (usable)
[ 0.000000] NX (Execute Disable) protection: active
[ 0.000000] DMI 2.7 present.
[ 0.000000] DMI: /DZ77BH-55K, BIOS BHZ7710H.86A.0057.2012.0208.1904 02/08/2012
[ 0.000000] e820 update range: 0000000000000000 - 0000000000010000 (usable) ==> (reserved)
[ 0.000000] e820 remove range: 00000000000a0000 - 0000000000100000 (usable)
[ 0.000000] No AGP bridge found
[ 0.000000] last_pfn = 0x41f000 max_arch_pfn = 0x400000000
[ 0.000000] MTRR default type: uncachable
[ 0.000000] MTRR fixed ranges enabled:
[ 0.000000] 00000-9FFFF write-back
[ 0.000000] A0000-BFFFF uncachable
[ 0.000000] C0000-D3FFF write-protect
[ 0.000000] D4000-E7FFF uncachable
[ 0.000000] E8000-FFFFF write-protect
[ 0.000000] MTRR variable ranges enabled:
[ 0.000000] 0 base 000000...

Roger Davis (rogerdavis-d) wrote :
Download full text (6.1 KiB)

Does this help?

 lspci -vv
 04:01.0 Serial controller: 3Com Corp, Modem Division 56K FaxModem Model 5610 (rev 01) (prog-if 02 [16550])
 Subsystem: 3Com Corp, Modem Division USR 56K Internal V92 FAX Modem (Model 5610)
 Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Interrupt: pin A routed to IRQ 17
 Region 0: I/O ports at d000 [size=8]
 Capabilities: [dc] Power Management version 2
  Flags: PMEClk- DSI- D1- D2+ AuxCurrent=0mA PME(D0+,D1-,D2+,D3hot+,D3cold+)
  Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=2 PME-
 Kernel driver in use: serial
...
05:00.0 USB controller: NEC Corporation uPD720200 USB 3.0 Host Controller (rev 04) (prog-if 30 [XHCI])
 Subsystem: Intel Corporation Device 2040
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 16
 Region 0: Memory at f7c00000 (64-bit, non-prefetchable) [size=8K]
 Capabilities: [50] Power Management version 3
  Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
  Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
 Capabilities: [70] MSI: Enable- Count=1/8 Maskable- 64bit+
  Address: 0000000000000000 Data: 0000
 Capabilities: [90] MSI-X: Enable+ Count=8 Masked-
  Vector table: BAR=0 offset=00001000
  PBA: BAR=0 offset=00001080
 Capabilities: [a0] Express (v2) Endpoint, MSI 00
  DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s unlimited, L1 unlimited
   ExtTag- AttnBtn- AttnInd- PwrInd- RBE+ FLReset-
  DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
   RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop+
   MaxPayload 128 bytes, MaxReadReq 512 bytes
  DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
  LnkCap: Port #0, Speed 5GT/s, Width x1, ASPM L0s L1, Latency L0 <4us, L1 unlimited
   ClockPM+ Surprise- LLActRep- BwNot-
  LnkCtl: ASPM L0s L1 Enabled; RCB 64 bytes Disabled- Retrain- CommClk+
   ExtSynch- ClockPM+ AutWidDis- BWInt- AutBWInt-
  LnkSta: Speed 5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
  DevCap2: Completion Timeout: Not Supported, TimeoutDis+
  DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis-
  LnkCtl2: Target Link Speed: 5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB
    Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
    Compliance De-emphasis: -6dB
  LnkSta2: Current De-emphasis Level: -6dB
 Capabilities: [100 v1] Advanced Error Reporting
  UESta: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
  UEMsk: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
  UESvrt: DLP+ SDES+ TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
  CESta: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
  CEMsk: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
 ...

Read more...

Krzysztof Radka (k-radka) wrote :

Hi Roger,
if you saw "nobody cared about irq 16" after the same boot you made the above printing, then you have problem with your USB controller too.
I am going to launch Ubuntu Live CD 10.04 with kernel 2.6.x to check IRQ handling with those kernels.
Will share results here.
Regards

Roger Davis (rogerdavis-d) wrote :

USB seems to work fine for me.

Looking forward to your results! As best I recall, my modem worked fine in 10.04, in a different machine.

Roger Davis (rogerdavis-d) wrote :
Download full text (13.2 KiB)

Here is the output from ScanModem:

Please especially look at <----- points . I added comments / questions after <----------- ? .

-------------------------- System information ----------------------------
CPU=x86_64, Ubuntu , ALSA_version=1.0.24
Linux version 3.2.0-38-generic (buildd@allspice) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #59-Ubuntu SMP Tue Feb 5 17:53:03 UTC 2013
 scanModem update of: 2011_08_08

Distrib_ID=Ubuntu
DistribCodeName=precise
AptRepositoryStem=http://us.archive.ubuntu.com/ubuntu/

The dkms driver upgrade utilities are installed,

Some modem drivers can only be used in 32 bit modem on x86_64 systems, <-------- ? this is a 64 bit system, but not linmodem
while some others are competent on x86_64 Systems. Cases are:
1) http://linmodems.technion.ac.il/bigarch/archive-seventh/msg03119.html
for the snd-hda-intel audio+modem driver. Also applicable to AC97 modem controllers.
In both cases, 32 bit libraries must be installed to support the slmodemd helper having a precompiled 32 bit component.
2) For USB modems using the slusb.ko driver. 32 bit libraries must be installed to support the slmodemd helper having a precompiled 32 bit component
3) The hsfmodem and hcfpcimodem drivers for Conexant chipsest modes are x86_64 competent.
4) agrsm packages for LSI/AgereSystems softmodems are not competent on x86_64 systems.

 There are no blacklisted modem drivers in /etc/modprobe* files

 Potentially useful modem drivers now loaded are:
       snd_hda_intel <------------------ ?

Attached USB devices are:
 ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
 ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
 ID 057b:0000 Y-E Data, Inc. FlashBuster-U Floppy
 ID 051d:0002 American Power Conversion Uninterruptible Power Supply
 ID 058f:6366 Alcor Micro Corp. Multi Flash Reader
 ID 046d:c52b Logitech, Inc. Unifying Receiver
If a cellphone is not detected, see http://ubuntuforums.org/archive/index.php/t-878554.html
A sample report is: http://linmodems.technion.ac.il/bigarch/archive-nineth/msg00578.html

If a USB modem or cellphone is attached and was not detected, please
provide available information in your request to <email address hidden>

Candidate PCI devices with modem chips are:
00:16.0 Communication controller: Intel Corporation Panther Point MEI Controller #1 (rev 04) <------------------ wifi ?
04:01.0 Serial controller: 3Com Corp, Modem Division 56K FaxModem Model 5610 (rev 01) <------------------ my modem 00:1b.0 Audio device: Intel Corporation Panther Point High Definition Audio Controller (rev 04)
01:00.1 Audio device: Advanced Micro Devices [AMD] nee ATI Device aab0
High Definition Audio cards can host modem chips.

For candidate card in slot 00:16.0, firmware information and bootup diagnostics are:
 PCI slot PCI ID SubsystemID Name
 ---------- --------- --------- --------------
 00:16.0 8086:1e3a 8086:2040 Communication controller: Intel Corporation Panther Point MEI Controller #1

 Modem interrupt assignment and sharing:
 54: 15 0 0 0 0 0 0 ...

Roger Davis (rogerdavis-d) wrote :

I'm still working on the different os boot, but I have noticed the following in the meantime:
- ttyS4 shows it belongs to root, and is in the tty group. All the other ports are in the dialout group. What does this mean? If that is a problem, how do I fix it?
roger@roger-desktop:~$ ls -l /dev/ttyS[01234567]
crw-rw---- 1 root dialout 4, 64 Feb 25 13:01 /dev/ttyS0
crw-rw---- 1 root dialout 4, 65 Feb 25 13:01 /dev/ttyS1
crw-rw---- 1 root dialout 4, 66 Feb 25 13:01 /dev/ttyS2
crw-rw---- 1 root dialout 4, 67 Feb 25 13:01 /dev/ttyS3
crw-rw---- 1 root tty 4, 68 Feb 25 20:07 /dev/ttyS4
crw-rw---- 1 root dialout 4, 69 Feb 25 13:01 /dev/ttyS5
crw-rw---- 1 root dialout 4, 70 Feb 25 13:01 /dev/ttyS6
crw-rw---- 1 root dialout 4, 71 Feb 25 13:01 /dev/ttyS7

I'm a member of both groups.

Roger Davis (rogerdavis-d) wrote :

If the system won't talk to ttyS4, is there a way to make it look like and work like another port, say ttyS3 ?

BTW, this is a 64 bit system, if that affects anything.

Koen Hendrix (koen-hendrix) wrote :

i haven 't had time to look further into this; my apologies. still haven't got time, but i know that an ubuntu installation requires group 'dialout' for users, and that the relevant character devices have that too.

so try "sudo chown root:dialout /dev/ttyS4" ...

i hope this solves it.

Roger Davis (rogerdavis-d) wrote :

I did that, and tried e-Fax GTK, got:
Socket running on port 9900
efax-0.9a: 20:54:11 opened /dev/ttyS4
AND
Sorry, Ubuntu has experienced an internal error... etc. (Is there a way to get a log of that report - lots of info in there, but all Greek to me...?)
Still says "Sending Fax" until I click stop.
No dialing, no rings at the other end.

No response from Minicom at all.

Krzysztof Radka (k-radka) wrote :

Hi Roger,
try to change flow control to soft.

Upon the change both minicom and hylafax communicate with the modem well.

Why hardware control is down is another story.

Roger Davis (rogerdavis-d) wrote :

Sorry for the long delay, I've had several personal crises, as well as a bad case of the crud (still not gone).

I tried setting to soft control in MiniCom, but still no response.

If you know the story about hardware control down, I'd really like to know it too.

Roger Davis (rogerdavis-d) wrote :
Download full text (12.0 KiB)

Disappearing IRQ 17 !?!
-----------------------------------------
Here it is:

roger@roger-desktop:~$ sudo dmesg|grep tty
[sudo] password for roger:
[ 0.000000] console [tty0] enabled
[ 1.457141] 0000:04:01.0: ttyS4 at I/O 0xd000 (irq = 17) is a 16550A
[ 1.660953] tty tty33: hash matches
roger@roger-desktop:~$
------------------------------------------------------
Here is isn't

roger@roger-desktop:~$ cat /proc/interrupts
           CPU0 CPU1 CPU2 CPU3 CPU4 CPU5 CPU6 CPU7
  0: 126 0 0 0 0 0 0 0 IR-IO-APIC-edge timer
  1: 3 0 0 0 0 0 0 0 IR-IO-APIC-edge i8042
  8: 1 0 0 0 0 0 0 0 IR-IO-APIC-edge rtc0
  9: 0 0 0 0 0 0 0 0 IR-IO-APIC-fasteoi acpi
 12: 4 0 0 0 0 0 0 0 IR-IO-APIC-edge i8042
 16: 200001 0 0 0 0 0 0 0 IR-IO-APIC-fasteoi ehci_hcd:usb1
 18: 0 0 0 0 0 0 0 0 IR-IO-APIC-fasteoi firewire_ohci
 23: 365444 0 0 0 0 0 0 0 IR-IO-APIC-fasteoi ehci_hcd:usb2
 40: 0 0 0 0 0 0 0 0 DMAR_MSI-edge dmar0
 42: 285646 0 0 0 0 0 0 0 IR-PCI-MSI-edge ahci
 43: 0 0 0 0 0 0 0 0 IR-PCI-MSI-edge ahci
...
------------------------------------------------------
Back again!

from sudo lshw
              *-communication
                   description: Serial controller
                   product: 56K FaxModem Model 5610
                   vendor: 3Com Corp, Modem Division
                   physical id: 1
                   bus info: pci@0000:04:01.0
                   version: 01
                   width: 32 bits
                   clock: 33MHz
                   capabilities: pm 16550 cap_list
                   configuration: driver=serial latency=0
                   resources: irq:17 ioport:d000(size=8)
--------------------------------------------------------------------------
POOF - gone again!!!

roger@roger-desktop:~$ lsdev
Device DMA IRQ I/O Ports
------------------------------------------------
0000:00:19.0 f040-f05f
0000:00:1f.2 f020-f03f f060-f063 f070-f077 f080-f083 f090-f097
0000:00:1f.3 f000-f01f
0000:01:00.0 e000-e0ff
0000:04:01.0 d000-d007
0000:06:00.0 c000-c00f c010-c013 c020-c027 c030-c033 c040-c047
acpi 9
ACPI 0400-0403 0404-0405 0408-040b 0410-0415 0420-042f...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers